A proxy to the underlying WebElement which represents a slot/single row within the component.

### Hierarchy

- SlotProxy

## Index

### Methods

- doContextualAction
- findElement
- findElements

## Methods

### doContextualAction

- doContextualAction(action: string): Promise<void>

- Opens the contextMenu and the invokes the action provided for the element associated with this SlotProxy.

  since

    "11.0.0”

  example

         const proxy = await treeview.findItem({ key: "news" });
         await proxy.doContextualAction("action1");

  #### Parameters

  - ##### action: string

    The value of the <oj-option> to select

  #### Returns Promise<void>

### findElement

- findElement(locator: Locator): WebElementPromise

- Find a WebElement within this SlotProxy

  #### Parameters

  - ##### locator: Locator

    The element locator

  #### Returns WebElementPromise

### findElements

- findElements(locator: Locator): Promise<WebElement[]>

- Find an array of matching elements within this SlotProxy

  #### Parameters

  - ##### locator: Locator

    The elements locator

  #### Returns Promise<WebElement[]>

Generated using TypeDoc